# Files
MAIN = Main
TEX_FILE = $(MAIN).tex
PDF_FILE = $(MAIN).pdf
BIB_FILE = bib/bibliography.bib
FIGURES = $(wildcard figures/*)

# Build script
BUILD_SCRIPT = build.sh

# Default target
all: $(PDF_FILE)

# Rule to build the PDF
$(PDF_FILE): $(TEX_FILE) $(BIB_FILE) $(FIGURES)
	bash $(BUILD_SCRIPT)

# Clean target to remove generated files
clean:
	rm -f $(PDF_FILE)

# Phony targets
.PHONY: all clean

